## 开发

```bash
# 克隆项目
git clone https://gitee.com/y_project/RuoYi-Vue

# 进入项目目录
cd ruoyi-ui

# 安装依赖
npm install

# 建议不要直接使用 cnpm 安装依赖，会有各种诡异的 bug。可以通过如下操作解决 npm 下载速度慢的问题
npm install --registry=https://registry.npm.taobao.org

#动态表单设计
npm install vue-ele-form --save

#文件上传
npm install npm install vue-ele-form-upload-file --save

#图片上传
npm install vue-ele-form-image-uploader --save

# 启动服务
npm run dev
```

浏览器访问 http://localhost:80

## 发布

```bash
# 构建测试环境
npm run build:stage

# 构建生产环境
npm run build:prod
```


## 需要修改的地方
	src/main.js
	    -
		//图片上传设置
		upload: {
		  action: 'http://actservice.hw.hongweisoft.com/prod-api/common/upload',
		//文件上传设置
		'upload-file': {
		  // 上传地址
		  action: 'http://actservice.hw.hongweisoft.com/prod-api/common/uploadac',
		}
	.env.production.VUE_APP_BASE_URL = http://actservice.hw.hongweisoft.com/prod-api
	